Bug 1703948 - Self-heal daemon resources are not cleaned properly after a ec fini
Summary: Self-heal daemon resources are not cleaned properly after a ec fini
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: disperse
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohammed Rafi KC
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-29 07:57 UTC by Mohammed Rafi KC
Modified: 2019-06-09 00:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-09 00:31:15 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22644 None Merged ec/shd: Cleanup self heal daemon resources during ec fini 2019-05-13 06:18:48 UTC
Gluster.org Gerrit 22758 None Merged ec/fini: Fix race with ec_fini and ec_notify 2019-05-22 13:11:41 UTC
Gluster.org Gerrit 22798 None Merged ec/fini: Fix race between xlator cleanup and on going async fop 2019-06-09 00:31:14 UTC
Gluster.org Gerrit 22810 None Open xlator/log: Add more logging in xlator_is_cleanup_starting 2019-06-08 05:47:05 UTC

Description Mohammed Rafi KC 2019-04-29 07:57:07 UTC
Description of problem:

We were not properly cleaning self-heal daemon resources during ec fini. With shd multiplexing, it is absolutely necessary to cleanup all the resources during ec fini.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-04-29 07:59:33 UTC
REVIEW: https://review.gluster.org/22644 (ec/shd: Cleanup self heal daemon resources during ec fini) posted (#1) for review on master by mohammed rafi  kc

Comment 2 Worker Ant 2019-05-13 06:18:49 UTC
REVIEW: https://review.gluster.org/22644 (ec/shd: Cleanup self heal daemon resources during ec fini) merged (#10) on master by Pranith Kumar Karampuri

Comment 3 Worker Ant 2019-05-21 12:59:36 UTC
REVIEW: https://review.gluster.org/22758 (ec/fini: Fix race with ec_fini and ec_notify) posted (#1) for review on master by mohammed rafi  kc

Comment 4 Worker Ant 2019-05-22 13:11:42 UTC
REVIEW: https://review.gluster.org/22758 (ec/fini: Fix race with ec_fini and ec_notify) merged (#1) on master by mohammed rafi  kc

Comment 5 Worker Ant 2019-06-01 20:23:30 UTC
REVIEW: https://review.gluster.org/22798 (ec/fini: Fix race between xlator cleanup and on going async fop) posted (#1) for review on master by mohammed rafi  kc

Comment 6 Worker Ant 2019-06-04 05:47:39 UTC
REVIEW: https://review.gluster.org/22810 (xlator/log: Add more logging in xlator_is_cleanup_starting) posted (#1) for review on master by mohammed rafi  kc

Comment 7 Worker Ant 2019-06-08 05:47:06 UTC
REVIEW: https://review.gluster.org/22810 (xlator/log: Add more logging in xlator_is_cleanup_starting) merged (#4) on master by Amar Tumballi

Comment 8 Worker Ant 2019-06-09 00:31:15 UTC
REVIEW: https://review.gluster.org/22798 (ec/fini: Fix race between xlator cleanup and on going async fop) merged (#12) on master by Pranith Kumar Karampuri


Note You need to log in before you can comment on or make changes to this bug.